%define upstream_name    ExtUtils-AutoInstall
%define upstream_version 0.64

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 3

Summary:	ExtUtils::AutoInstall - Automatic install of dependencies via CPAN
License:	GPL+ or Artistic
Group:		Development/Perl
Url:		http://search.cpan.org/dist/%{upstream_name}
Source0:	http://search.cpan.org/CPAN/authors/id/A/AU/AUTRIJUS/%{upstream_name}-%{upstream_version}.tar.gz
Patch0:		eai.patch

BuildRequires:  perl(ExtUtils::MakeMaker)
BuildRequires:  perl(Sort::Versions) >= 1.2
BuildRequires:	perl(LWP::Simple)
BuildRequires:	perl(CPAN)
BuildRequires:	perl(inc::Module::Install)
BuildRequires:	ncftp
BuildArch:	noarch


%description
ExtUtils-AutoInstall module for perl

%prep
%setup -q -n %{upstream_name}-%{upstream_version}
%autopatch -p1

%build
%__perl Makefile.PL INSTALLDIRS=vendor < /dev/null
%{__make}

#check
#make test

%install
%make_install

%files
%doc Changes README
%{perl_vendorlib}/ExtUtils/AutoInstall.pm
%{_mandir}/*/*


%changelog
* Wed Feb 12 2020 umeabot <umeabot> 0.640.0-3.mga8
+ Revision: 1504416
- Mageia 8 Mass Rebuild

* Thu Sep 20 2018 umeabot <umeabot> 0.640.0-2.mga7
+ Revision: 1283637
- Mageia 7 Mass Rebuild

* Sat Jul 29 2017 sander85 <sander85> 0.640.0-1.mga7
+ Revision: 1132288
- update to 0.64

* Sun Jun 19 2016 pterjan <pterjan> 0.630.0-8.mga6
+ Revision: 1027123
- Rebuild for perl 5.22.2

* Thu Feb 04 2016 umeabot <umeabot> 0.630.0-7.mga6
+ Revision: 934234
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 0.630.0-6.mga5
+ Revision: 748864
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.630.0-5.mga5
+ Revision: 684672
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 0.630.0-4.mga4
+ Revision: 511398
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 0.630.0-3.mga3
+ Revision: 367006
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sun Jan 23 2011 jquelin <jquelin> 0.630.0-2.mga1
+ Revision: 34881
- rebuild
- mageia rebuild
- imported package perl-ExtUtils-AutoInstall


* Sat Aug 01 2009 Jérôme Quelin <jquelin@mandriva.org> 0.630.0-1mdv2010.0
+ Revision: 407034
- rebuild using %%perl_convert_version

* Mon Sep 29 2008 Oden Eriksson <oeriksson@mandriva.com> 0.63-5mdv2009.0
+ Revision: 289486
- sync with fedora
- disable the tests for now

  + Thierry Vignaud <tv@mandriva.org>
    - rebuild

* Thu Dec 20 2007 Olivier Blin <oblin@mandriva.com> 0.63-2mdv2008.1
+ Revision: 135841
- restore BuildRoot

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request


* Sun Jan 14 2007 Olivier Thauvin <nanardon@mandriva.org> 0.63-2mdv2007.0
+ Revision: 108540
- rebuild

  + Guillaume Rousse <guillomovitch@mandriva.org>
    - Import perl-ExtUtils-AutoInstall

* Tue Sep 27 2005 Rafael Garcia-Suarez <rgarciasuarez@mandriva.com> 0.63-1mdk
- 0.63

* Fri Jul 15 2005 Oden Eriksson <oeriksson@mandriva.com> 0.62-1mdk
- initial Mandriva package

